#
# spec file for package usbview
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           usbview
Version:        2.0
Release:        lp152.3.5
Summary:        USB Topology and Device Viewer
License:        GPL-2.0+
Group:          Hardware/Other
Url:            http://www.kroah.com/linux-usb/
Source:         http://www.kroah.com/linux-usb/%{name}-%{version}.tar.gz
Source1:        %name.desktop
BuildRequires:  gtk3-devel
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
USBView is a GTK program that displays the topography of the devices
that are plugged into the USB on a Linux machine. It also displays
information on each of the devices. This can be useful to determine if
a device is working properly.



Authors:
--------
    Greg Kroah-Hartman <greg@kroah.com>

%prep
%setup -q

%build
%configure

%install
%makeinstall
%suse_update_desktop_file -i %name System Monitor

%files
%defattr(-,root,root)
%doc ChangeLog COPYING* README TODO
%{_bindir}/usbview
%{_datadir}/applications/*.desktop
%doc %{_mandir}/man?/*.*

%changelog
* Sat Jun 29 2013 meissner@suse.com
- updated to 2.0
  + gtk 3.0 port
  + /proc/bus/usb/devices has moved to /sys/kernel/debug/usb/devices
* Mon Dec 28 2009 vuntz@opensuse.org
- Update to version 1.1:
  + pretty icon
  + gtk 2.0 support
  + added "..." to About and Configure dialogs
  + fixed gtk warning when about dialog was displayed
- Clean up packaging.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jun 30 2005 meissner@suse.de
- use RPM_OPT_FLAGS correctly (missing \)
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Aug 15 2003 adrian@suse.de
- add desktop file
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Wed Jan 10 2001 grimmer@suse.de
- Update to 1.0 (bugfix release)
* Sun Nov  5 2000 ro@suse.de
- fixed neededforbuild
* Thu Oct  5 2000 grimmer@suse.de
- initial package created (version 0.9.0)
